import request,{get,post} from "/pages/api/request.js"


// =======账号密码登录========
export const getLoginPassword = (data) =>{
	return post('/api/resident/auth/loginByPassword',data)
}
// 注册新用户获取验证码
export const getSendCode = (data) =>{
	return post('/api/resident/auth/sendSmsCode',data)
}
// 注册新用户
export const getRegisterUser = (data) =>{
	return post('/api/resident/auth/register',data)
}
// 短信验证码登录
export const getLoginBySms = (data) =>{
	return post('/api/resident/auth/register',data)
}
// 忘记密码接口
export const getResetPassword = (data) =>{
	return post('/api/resident/auth/resetPassword',data)
}